#
# Poco Json Path
#
#

name: '{{ getenv "CI_PROJECT_NAME" }}'
version: 0.0.0


alpine:
  outdir: alpine-dist/
  files:
    - dist/app/jqpp:
        chmod: 111
        dist: "/usr/bin/poco.jq"

  depends:
    # Require to have the community repo enabled on the edge version
    # https://dl-cdn.alpinelinux.org/alpine/edge/community
    - poco

  artifactory:
    url:
      scheme: "https"
      host: "desrumaux.jfrog.io"
      repository: "effiscience-alpine"
      branch: "edge"

      # Add login here or env. If none of them then it's a public repository
      # user:
      #   username: "" # Fallback to env: ARTIFACTORY_USERNAME
      #   password: "" # Fallback to env: ARTIFACTORY_PASSWORD
